View Issue Details

IDProjectCategoryView StatusLast Update
0000526FreeCADFeaturepublic2012-01-13 14:40
Reportermomentumv5Assigned Toyorik 
PrioritynormalSeverityfeatureReproducibilityhave not tried
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version0.13 
Summary0000526: view control option
DescriptionOne feature that I would always use a lot in Solidworks is the rotating of the view by 90 degrees by using shift+arrow keys. Would this be possible to implement?
TagsNo tags attached.

Activities

wmayer

2011-12-08 08:10

administrator   ~0001422

You mean by using the left/right arrow key to rotate around the y-axis (in screen coordinates) and using the up/down arrow key around the x-axis?

yorik

2011-12-19 13:18

administrator   ~0001494

This would mainly be adding 2 GUI tools that take the camera Z axis, and rotate it along that axis by +90° or -90°, right? I think I could try to do that...

yorik

2012-01-13 14:40

administrator   ~0001573

Done! In View->Standard Views and Right-click(context)->Standard views there are now 2 new commands, rotate right and rotate left, where you can set shortcuts as you like...

Issue History

Date Modified Username Field Change
2011-12-08 03:21 momentumv5 New Issue
2011-12-08 08:10 wmayer Note Added: 0001422
2011-12-19 13:18 yorik Note Added: 0001494
2011-12-19 13:18 yorik Status new => assigned
2011-12-19 13:18 yorik Assigned To => yorik
2012-01-13 14:40 yorik Note Added: 0001573
2012-01-13 14:40 yorik Status assigned => closed
2012-01-13 14:40 yorik Resolution open => fixed
2012-01-13 14:40 yorik Fixed in Version => 0.13